Name:           python-pyheos
Version:        1.0.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        An async python library for controlling HEOS devices through the HEOS CLI Protocol

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/andrewsayre/pyheos
Source:         %{pypi_source pyheos}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pyheos' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyheos
Summary:        %{summary}

%description -n python3-pyheos %_description


%prep
%autosetup -p1 -n pyheos-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pyheos -f %{pyproject_files}


%changelog
%autochangelog